Page MenuHomePhabricator

Add confirmation message after accepting/rejecting translator applications
Closed, ResolvedPublic

Description

In ManageTranslatorSandbox, when approving or rejecting a translator, add a notification that shows that "User X was approved/rejected". This adds some feedback about what happened. Proposing to show that notification for 5 seconds.

Details

Reference
bz58706
Related Gerrit Patches:
mediawiki/extensions/Translate : masterAdd confirmation box

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:37 AM
bzimport set Reference to bz58706.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Dec 19 2013, 7:50 PM
Nemo_bis renamed this task from Add notification after accepting/rejecting translator applications to Add confirmation message after accepting/rejecting translator applications.Jan 1 2015, 3:16 PM
Nemo_bis set Security to None.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 11:46 AM

@Ashutosh1206: This issue has been assigned to you two months ago.
Could you please share a status update? Are you still working (or still plan to work) on this issue? Is there anything that others could help with?
Only in case you do not plan to work on this issue anymore, should you be removed as assignee (via 'Assign / Claim' in the 'Actions' dropdown menu)?

Aklapper removed Ashutosh1206 as the assignee of this task.Jan 25 2017, 7:06 PM
Aklapper removed a project: Language-Team.
Aklapper added a subscriber: Ashutosh1206.

@Ashutosh1206: I am resetting the assignee of this task because there have been no signs of progress lately (please correct me if I'm wrong).
Resetting the assignee avoids the impression that somebody is already working on fixing this task and it also allows anybody else to potentially work towards fixing this task.
Please claim this task again when you plan to fix this task (via 'Assign / Claim' in the 'Actions' dropdown menu) - it would be very welcome!
Thanks for your understanding!

DatGuy added a subscriber: DatGuy.Jan 25 2017, 7:25 PM

A simple popup button with confirm is fine @Aklapper ?

@DatGuy: I can't answer that. I'm not a maintainer. :)

Just wondering if that's what a person more familiar with UI would like. Who can assign these permissions, Commons sysops or stewards? I'll ask three what they'd prefer.

Change 334394 had a related patch set uploaded (by DatGuy):
Add confirmation box

https://gerrit.wikimedia.org/r/334394

Nikerabbit updated the task description. (Show Details)Jan 31 2017, 2:25 PM

Just wondering if that's what a person more familiar with UI would like. Who can assign these permissions, Commons sysops or stewards? I'll ask three what they'd prefer.

It is only used by few admins at translatewiki.net, as far as I know.

Change 334394 merged by jenkins-bot:
[mediawiki/extensions/Translate] Add confirmation box

https://gerrit.wikimedia.org/r/334394

Nikerabbit closed this task as Resolved.Mar 6 2017, 4:16 PM
Nikerabbit assigned this task to DatGuy.
Nikerabbit removed a project: Patch-For-Review.
DatGuy added a comment.EditedMar 6 2017, 4:17 PM

Thanks!

This page is not used on Wikimedia sites. I will deploy this to translatewiki.net soon.